
package de.ivu.elect.presentation.praesentation.menu;

import java.util.ArrayList;
import java.util.List;

import javax.inject.Inject;
import javax.inject.Named;

import de.ivu.elect.jee.presentation.menu.MenuEntry;
import de.ivu.elect.presentation.ui.AbstractPageMenuModelBuilder;

@Named(PraesentationPageMenu.COMPONENT_NAME)
public class PraesentationPageMenu extends AbstractPageMenuModelBuilder {

  private static final long serialVersionUID = 1L;

  public static final String COMPONENT_NAME = "praesentationPageMenu";

  @Inject
  private transient PraesentationMenuBuilder praesentationMenuBuilder;

  public PraesentationPageMenu() {
    super();
  }

  @Override
  protected List<MenuEntry> getMenuEntriesSorted() {
    List<MenuEntry> result = new ArrayList<>();

    result.addAll(praesentationMenuBuilder.getMenuEntries());

    return result;
  }
}
